Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Notify_Service Class Reference

Implemetation of the TAO_Notify_Service interface for RT Notification. More...

`#include <RT_Notify_Service.h>`

Inheritance diagram for TAO_RT_Notify_Service:

[legend]
Collaboration diagram for TAO_RT_Notify_Service:

[legend]
List of all members.

## Public Methods
| TAO_RT_Notify_Service (void)
| Constuctor.
| ~TAO_RT_Notify_Service ()
| Destructor.
virtual int | init (int argc, char *argv[])
| Overload base virtual method to silence HPUX11 build warning.
virtual void | init (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
| Init the service.
## Protected Methods
virtual void | init_i (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
| Init the data members.
virtual void | init_factory (ACE_ENV_SINGLE_ARG_DECL)
| Create the Factory for RT Notify objects.
virtual void | init_builder (ACE_ENV_SINGLE_ARG_DECL)
| Creates the Builder for RT Notify objects.

## Detailed Description

Implemetation of the TAO_Notify_Service interface for RT Notification.

## Constructor & Destructor Documentation

TAO_RT_Notify_Service::TAO_RT_Notify_Service | ( | void |  | ) |

| Constuctor.

TAO_RT_Notify_Service::~TAO_RT_Notify_Service | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO_RT_Notify_Service::init | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Init the service. Reimplemented from TAO_CosNotify_Service.

int TAO_RT_Notify_Service::init | ( | int | argc,
|  | char * | argv[]
| ) | `[virtual]`

| Overload base virtual method to silence HPUX11 build warning. Reimplemented from TAO_CosNotify_Service.

void TAO_RT_Notify_Service::init_builder | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Creates the Builder for RT Notify objects. Reimplemented from TAO_CosNotify_Service.

void TAO_RT_Notify_Service::init_factory | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Create the Factory for RT Notify objects. Reimplemented from TAO_CosNotify_Service.

void TAO_RT_Notify_Service::init_i | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Init the data members. Reimplemented from TAO_CosNotify_Service.

The documentation for this class was generated from the following files:

- RT_Notify_Service.h
- RT_Notify_Service.cpp